MeiroDocs

Feeds

Required feature: **emails/edit**

Section: Group Feeds. Base URL: https://instance_name.meiro.io/api/.

Feed Types [/feeds/types]

Retrieve Feed Types [GET]

Required feature: emails/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

[
    "products",
    "articles"
]

Feed Items [/feeds/{feed_type}/items{?limit,offset,search}]

Retrieve Feed Items [GET]

Required feature: emails/edit

  • Parameters

    • limit (number) - Limit of the number of records returned
    • offset (number) - Offset for the number of records returned
    • search (string, optional) - String that will be searched in items' ID and name
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
   "feed_items": [
       {
           "id": "product_a",
           "feed_type": "products",
           "secondary_id": null,
           "name": "Product A",
           "url": "https://my.shop/product_a",
           "tags": ["t1"],
           "categories": ["c1"],
           "custom_data": {
               "price": 1500
           }
       }
   ],
   "selection_parameters": {
       "limit": 100,
       "offset": 0,
       "search": null
   }
}

On this page